## OobsError OobsError — Error codes |

## Synopsis

    #define             OOBS_ERROR
    GQuark              oobs_error_quark                    (void);
    enum                OobsError;

## Description

## Details

### OOBS_ERROR

    #define OOBS_ERROR oobs_error_quark()

Error domain for errors when using Oobs. Errors in this domain will be from the OobsError enumeration. See GError for information on error domains

### oobs_error_quark ()

    GQuark              oobs_error_quark                    (void);

Returns : |

### enum OobsError

    typedef enum
    {
      OOBS_ERROR_AUTHENTICATION_FAILED,
      OOBS_ERROR_AUTHENTICATION_CANCELLED,
    } OobsError;

Error codes possible with liboobs.

`OOBS_ERROR_AUTHENTICATION_FAILED` | Error in the backends when authenticating via PolicyKit.
`OOBS_ERROR_AUTHENTICATION_CANCELLED` | User manually cancelled the authentication.